Remove duplicate distinct scope in FactValue
Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2727

  

Description

ActiveRecord 4.1.5 includes a class method distinct and we have to either rename or delete the distinct scope in FactValue on Rails

4. Since I didn't find any instance of it, I think we can just remove it.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 96b50275 - 09/17/2015 02:22 AM - Daniel Lobato Garcia

Fixes #11844 - Remove duplicate scope in FactValue

ActiveRecord 4.1.5 includes a class method distinct and we have to

either rename or delete the distinct scope in FactValue on Rails 4.

Since I didn't find any instance of it, I think we can just remove it.

History

#1 - 09/16/2015 06:47 AM - Daniel Lobato Garcia

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 09/16/2015 06:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2727 added

- Pull request deleted ()

#3 - 09/17/2015 03:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 96b5027545d2c2243af5ef9bb6d1dce8ecfd76eb.

#4 - 09/17/2015 03:04 AM - Ohad Levy

- translation missing: en.field_release set to 63

#5 - 09/17/2015 03:07 AM - Dominic Cleal

- Category set to Rails

- Assignee set to Daniel Lobato Garcia
